export type BinaryStringEncoding = 'base64' | 'binary' | 'hex' | 'latin1';
export type BinaryTranscoder = {
    toArray(): number[];
    toBase64(): string;
    toBinary(): string;
    toHex(): string;
    toLatin1(): string;
    toNumber(): number;
    toUInt8Array(): Uint8Array;
};
export default function transcode(param: number | number[] | Uint8Array | {
    encoding: BinaryStringEncoding;
    text: string;
}): BinaryTranscoder;
export declare const fromBase64: (text: string) => BinaryTranscoder;
export declare const fromBinary: (text: string) => BinaryTranscoder;
export declare const fromHex: (text: string) => BinaryTranscoder;
export declare const fromLatin1: (text: string) => BinaryTranscoder;
